package handler

import (
	"git.coopgo.io/coopgo-platform/routing-service"
	"github.com/spf13/viper"
	"solidarity-service/storage"
	"solidarity-service/services"

)

type SolidarityServiceHandler struct {
	Config  *viper.Viper
	Routing routing.RoutingService
	Storage storage.Storage
	Services *services.ServicesHandler

}

func NewSolidarityServiceHandler(cfg *viper.Viper, routing routing.RoutingService, storage storage.Storage) (*SolidarityServiceHandler, error) {
	return &SolidarityServiceHandler{
		Config:  cfg,
		Routing: routing,
		Storage: storage,
	}, nil
}
